// Copyright SurveySite Inc 2004

// Set to false when not using a keep-alive script.
var SurveySite_usingKeepAlive = true;

// Set for setresearch.js backwards compatibility mode.
var SurveySite_usingOldKeepAlive = false;

if (!window.SurveySite_Config)
{
    var SurveySite_Config = new Object();
    SurveySite_Config.cookieName = 'intelresearch';
    SurveySite_Config.secondCookieName = 'surveysite';
    SurveySite_Config.cookieDomain = '.intel.com';
    SurveySite_Config.cookiePath = '/';
}

// Frequency of the popup.
SurveySite_Config.maxFrequency = 0.12;

// Skips the cookie test.
SurveySite_Config.ignoreCookie = false;

// Turns on debugging.
SurveySite_Config.debug = false;
SurveySite_Config.debugTracker = false;

// Enables writing of the second cookie.
SurveySite_Config.writeSecondCookie = true;

// Locations of the other scripts. Can be absolute or relative.
SurveySite_Config.managerFile = '/support/survey/SurveySite_SurveyManager.js';
SurveySite_Config.debuggerFile = 'SurveySite_Debugger.js';

// Sub-frequency of asking users.
SurveySite_Config.subFrequency = 1.0;

// Duration of the cookie in days.
SurveySite_Config.cookieDuration = 90;

// Cookie expiration date. Only used if cookieDuration is undefined.
SurveySite_Config.cookieExpireDate = 'Mon, 01 Dec 2006 00:00:01 GMT';

// Delay before opening the popup in milliseconds.
SurveySite_Config.popupDelay = 0;

// Path of domain of tracking.
SurveySite_Config.trackerDomain = '';
SurveySite_Config.trackerPath = '';

// Grace period for tracking in seconds.
SurveySite_Config.trackerGracePeriod = 0;

// Popup blocker tracking.
SurveySite_Config.popupBlockerTracking = false;
SurveySite_Config.popupBlockerTrackingUrl = '';

function SurveySite_Survey(){this.surveyId=0;this.closeWindow=false;this.useNewWindow=true;this.emailSurvey=false;this.ignoreLinks=false;this.ignoreForms=false;this.directToSurvey=false;this.trackUrls=true;this.useAlternateWindowName=false;this.otherCookies=new Array();this.otherVariables=new Array();this.secondSurvey=null;this.hitReturningUser=false;this.returningUserMaxSurveys=1;this.returningUserDelay=0;this.writeInitialReturningUserCookie=true;this.incrementHitCount=true;}SurveySite_Survey.immediate=1;SurveySite_Survey.domainDeparture=2;SurveySite_Survey.entry=1;SurveySite_Survey.exit=2;SurveySite_Config.surveys=new Array();var s;

SurveySite_Config.surveys[SurveySite_Config.surveys.length] = s = new SurveySite_Survey();
s.surveyId = '2015il';
s.surveyType = SurveySite_Survey.domainDeparture;
s.popupEvent = SurveySite_Survey.entry;
s.weight = 1;
s.surveyUrl = 'http://web.survey-poll.com/bin/survey.asp';
s.surveyParams = 'survey=/2000/2015il&page=2015ilu-RDR.xml&site=05&log=accept.log';
s.cancelUrl = 'http://web.survey-poll.com/bin/survey.asp';
s.cancelParams = 'survey=/2000/2015il&page=close.xml&log=cancel_05.log&site=05';
s.popupQuestion = 'We are conducting a survey to find out what visitors think about our Intel Support and Downloads website.  Your answers will help us serve you better. \n\n As a participant, you will be asked to complete a survey once you have completed your visit to the Intel Support and Downloads website. This survey should take only 5 - 10 minutes. Please take the time to share your opinion with us.\n\n All of your answers and information will remain private and confidential. \n \n Would you like to participate?  \n \n';



SurveySite_Config.k='ru_'+SurveySite_Config.cookieName;SurveySite_Config.l=false;function SurveySite_Primer(){if(SurveySite_Config.debug)dw.write('Creating SurveySite_Primer object.');this.m=n;this.o=p;function n(){if(SurveySite_Config.debug)dw.write('Inside Primer_trySurvey.');if(document.cookie.indexOf(SurveySite_Config.k+'=')!=-1){if(SurveySite_Config.debug)dw.write('Found returning user cookie.');SurveySite_Config.l=true;this.o();}else if(SurveySite_Config.ignoreCookie||(document.cookie.indexOf(SurveySite_Config.cookieName+'=')==-1&&(!SurveySite_Config.secondCookieName||document.cookie.indexOf(SurveySite_Config.secondCookieName+'=')==-1))){if(SurveySite_Config.maxFrequency>Math.random()){if(SurveySite_Config.debug)dw.write('User falls within frequency. Running SiteRecruit.');this.o();}else{if(SurveySite_Config.debug)dw.write('User not within frequency. Closing.');}}}function p(){if(SurveySite_Config.debug)dw.write('Inside Primer_runSurvey.');document.write('<script language="JavaScript">');document.write('var insideTrackerWindow = false;</script>');var start='<script language="JavaScript" src="';var q='"></script>';if(SurveySite_Config.debug)dw.write('Including Manager script.');document.write(start+SurveySite_Config.managerFile+q);if(SurveySite_Config.debug)dw.write('SurveySite_Primer finishing.');}}if(SurveySite_Config.debug&&!window.dw){alert('Site-Trax debug mode cannot run without the Debugger.');SurveySite_Config.debug=false;}SurveySite_Config.primer=new SurveySite_Primer();SurveySite_Config.primer.m();
