// 	Last modified 4-27-04 by Moonstone Interactive an
//an: I've added functions to serve the new support section left nav for each group on 3-3-04 - HDD, MO and Scanners and tweaked content of those since then - added tape drive section 4-27-04

//	AK: I've added in a variable (nameOfSection) that is passed
//	into the function when called. 
//
// 	This was necessary because the support section will have
//	exactly the same sidebar as the products section, only it
//	will link directly to the support subpage of the product
// 	in question.
//
//	e.g. If you click on Support, then (sidenav) Scanners,
//	then (sidenav) ScanPartner 15C, you will be taken to:
//	/products/scanners/scanpartner-15c/tech-info.html

// This Creates the Side Bar Nav for all Scanner support pages
function CreateSideNavScanner(activeSideNavRow, nameOfSection){
	sideNavRows = "";
	
	// Add Product Name and Link to Array
	subNavNameLinkArray = new Array(
	["Scanners","/support/scanners/"],
	["Technical Data","/support/scanners/technical-data.html"],
	["Drivers &amp; Downloads","/support/scanners/online-scanner-warranty.html"],
	["Installation Guides","/support/scanners/installation-guides.html"],
	["Knowledge Base","javascript:;' onclick='javascript:window.open(\"http://server.iad.liveperson.net/hc/s-40295231/cmd/kb/kbvisitorcontrol.jsp\",\"knowledgebase\",\"width=700,height=500,scrollbars=yes,resizable=yes\")\'"],
	["Scanner Service Plans","/warranties/service-programs/imaging-service-offerings.html"],
	["Consumables Quick Reference","/support/scanners/consumables_quick_ref.html"],
	["Contact Scanner Support","/support/scanners/contact.html"]
	);
	
	
	// Create Product rows for side nav.
	for ( idx = 0; idx < subNavNameLinkArray.length; idx++) {
		// Start Side Nav Row
		sideNavRows += "<tr><td width=\"12\" valign='top'>";
		
		// Set Side Nav Image
		if (idx == 0) {
			// First row of Side Nav
			sideNavRows += "<img src='/img/global_subnav_arrow_on.gif' width='10' height='19' alt='' border='0'></td>";
		}else if (idx == subNavNameLinkArray.length - 1){
			// Last row of Side Nav
			sideNavRows += "<img src='/img/global_subnav_endbar.gif' width='10' height='13' alt='' border='0'></td>";
		}else{
			//	Middle rows of Side Nav
			sideNavRows += "<img src='/img/global_subnav_midbar.gif' width='10' height='13' alt='' border='0'></td>";
		}
		
		// Check to see if active page
		if (activeSideNavRow == subNavNameLinkArray[idx][0]) {
			// Dont Make link hot
			// Set Side Nav Value and Link
			sideNavRows += "<td width=\"133\"><font face='Arial, Helvetica, Sans-serif' size='1'>" + subNavNameLinkArray[idx][0] + "</font>";
		}else{
			// Make it NOT hot and Bold,
			// only if this is not one of the subheadings of the Discontinued products section.
			if(subNavNameLinkArray[idx][1] == "") {
				sideNavRows += "<td><font face='Arial, Helvetica, Sans-serif' size='1'><b>" + subNavNameLinkArray[idx][0] + "</b></font>";
			} else {
			// Make the link hot
			if (nameOfSection == "support") {
				var strLinkHref = subNavNameLinkArray[idx][1];
				/*
			} else if (nameOfSection == "support") {
				var strLinkHref = subNavNameLinkArray[idx][1] + "tech-info.html"; */
			}
			sideNavRows += "<td width=\"133\"><a href='" + strLinkHref + "'><font face='Arial, Helvetica, Sans-serif' size='1'>" + subNavNameLinkArray[idx][0] + "</font></a>";
			}
		}
		
		// Close Side Nav Row
		sideNavRows += "</td></tr>";
	}
	document.write(sideNavRows);
}

//this creates the knowledgebase popup window and makes sure if it's already open it comes into focus
var objKnowledgeBaseWindow = null; 

function openKnowledgeBaseWindow() {
  bOpen = true;
  if (objKnowledgeBaseWindow != null) {
    bOpen = objKnowledgeBaseWindow.closed;
  }
  if (bOpen) {
    objKnowledgeBaseWindow = window.open('http:/\/www2.fcpa.fujitsu.com/kb/','spgkb','width=700,height=530,scrollbars=yes,resizable=yes');
  }
  else {
    objKnowledgeBaseWindow.focus();
  }
}



// This Creates the Side Bar Nav for all HD support pages
function CreateSideNavHD(activeSideNavRow, nameOfSection){
	sideNavRows = "";
	
	// Add Product Name and Link to Array
	subNavNameLinkArray = new Array(
	["Hard Drives","/support/hard-drives/"],
	["Technical Data","/support/hard-drives/technical-data.html"],
	["Software Utilities","/support/hard-drives/software_utilities.html"],
	["Installation Guides","/support/hard-drives/installation-guides.html"],
	["How to Read Models","/support/hard-drives/how-to-read.html"],
	["Knowledge Base","javascript:;' onclick='javascript:window.open(\"http://server.iad.liveperson.net/hc/s-40295231/cmd/kb/kbvisitorcontrol.jsp\",\"knowledgebase\",\"width=700,height=500,scrollbars=yes,resizable=yes\")\'"],
	["Contact Hard Drive Support","/support/hard-drives/contact.html"]
	);
	
	
	// Create Product rows for side nav.
	for ( idx = 0; idx < subNavNameLinkArray.length; idx++) {
		// Start Side Nav Row
		sideNavRows += "<tr><td width=\"12\" valign='top'>";
		
		// Set Side Nav Image
		if (idx == 0) {
			// First row of Side Nav
			sideNavRows += "<img src='/img/global_subnav_arrow_on.gif' width='10' height='19' alt='' border='0'></td>";
		}else if (idx == subNavNameLinkArray.length - 1){
			// Last row of Side Nav
			sideNavRows += "<img src='/img/global_subnav_endbar.gif' width='10' height='13' alt='' border='0'></td>";
		}else{
			//	Middle rows of Side Nav
			sideNavRows += "<img src='/img/global_subnav_midbar.gif' width='10' height='13' alt='' border='0'></td>";
		}
		
		// Check to see if active page
		if (activeSideNavRow == subNavNameLinkArray[idx][0]) {
			// Dont Make link hot
			// Set Side Nav Value and Link
			sideNavRows += "<td width=\"133\"><font face='Arial, Helvetica, Sans-serif' size='1'>" + subNavNameLinkArray[idx][0] + "</font>";
		}else{
			// Make it NOT hot and Bold,
			// only if this is not one of the subheadings of the Support section.
			if(subNavNameLinkArray[idx][1] == "") {
				sideNavRows += "<td><font face='Arial, Helvetica, Sans-serif' size='1'><b>" + subNavNameLinkArray[idx][0] + "</b></font>";
			} else {
			// Make the link hot
			if (nameOfSection == "support") {
				var strLinkHref = subNavNameLinkArray[idx][1];
				/**/
			} else if (nameOfSection == "support") {
				var strLinkHref = subNavNameLinkArray[idx][1] + "tech-info.html"; 
			}
			sideNavRows += "<td width=\"133\"><a href='" + strLinkHref + "'><font face='Arial, Helvetica, Sans-serif' size='1'>" + subNavNameLinkArray[idx][0] + "</font></a>";
			}
		}
		
		// Close Side Nav Row
		sideNavRows += "</td></tr>";
	}
	document.write(sideNavRows);
}


// This Creates the Side Bar Nav for all MO Drive support pages
function CreateSideNavMO(activeSideNavRow, nameOfSection){
	sideNavRows = "";
	
	// Add Product Name and Link to Array
	subNavNameLinkArray = new Array(
	["Optical Storage Products","/support/mo-drives/"],
	["Technical Data","/support/mo-drives/technical-data.html"],
	["Drivers &amp; Downloads","/support/mo-drives/drivers_downloads.html"],
	["Knowledge Base","javascript:;' onclick='javascript:window.open(\"http://server.iad.liveperson.net/hc/s-40295231/cmd/kb/kbvisitorcontrol.jsp\",\"knowledgebase\",\"width=700,height=500,scrollbars=yes,resizable=yes\")\'"],
	["Contact MO Support","/support/mo-drives/contact.html"]
	);
	
	
	// Create Product rows for side nav.
	for ( idx = 0; idx < subNavNameLinkArray.length; idx++) {
		// Start Side Nav Row
		sideNavRows += "<tr><td width=\"12\" valign='top'>";
		
		// Set Side Nav Image
		if (idx == 0) {
			// First row of Side Nav
			sideNavRows += "<img src='/img/global_subnav_arrow_on.gif' width='10' height='19' alt='' border='0'></td>";
		}else if (idx == subNavNameLinkArray.length - 1){
			// Last row of Side Nav
			sideNavRows += "<img src='/img/global_subnav_endbar.gif' width='10' height='13' alt='' border='0'></td>";
		}else{
			//	Middle rows of Side Nav
			sideNavRows += "<img src='/img/global_subnav_midbar.gif' width='10' height='13' alt='' border='0'></td>";
		}
		
		// Check to see if active page
		if (activeSideNavRow == subNavNameLinkArray[idx][0]) {
			// Dont Make link hot
			// Set Side Nav Value and Link
			sideNavRows += "<td width=\"133\"><font face='Arial, Helvetica, Sans-serif' size='1'>" + subNavNameLinkArray[idx][0] + "</font>";
		}else{
			// Make it NOT hot and Bold,
			// only if this is not one of the subheadings of the Discontinued products section.
			if(subNavNameLinkArray[idx][1] == "") {
				sideNavRows += "<td><font face='Arial, Helvetica, Sans-serif' size='1'><b>" + subNavNameLinkArray[idx][0] + "</b></font>";
			} else {
			// Make the link hot
			if (nameOfSection == "support") {
				var strLinkHref = subNavNameLinkArray[idx][1];
				/*
			} else if (nameOfSection == "support") {
				var strLinkHref = subNavNameLinkArray[idx][1] + "tech-info.html"; */
			}
			sideNavRows += "<td width=\"133\"><a href='" + strLinkHref + "'><font face='Arial, Helvetica, Sans-serif' size='1'>" + subNavNameLinkArray[idx][0] + "</font></a>";
			}
		}
		
		// Close Side Nav Row
		sideNavRows += "</td></tr>";
	}
	document.write(sideNavRows);
}



// This Creates the Side Bar Nav for all Printer support pages
function CreateSideNavPrinters(activeSideNavRow, nameOfSection){
	sideNavRows = "";
	
	// Add Product Name and Link to Array
	subNavNameLinkArray = new Array(
	["Printers","/support/printers/"],
	["Technical Data","/support/printers/technical-data.html"],
	["Installation Guides","/support/printers/installation-guides.html"],
	["Knowledge Base","javascript:;' onclick='javascript:window.open(\"http://server.iad.liveperson.net/hc/s-40295231/cmd/kb/KBVisitorControl.jsp?cmd=categorybrowse&categoryId=2045\",\"knowledgebase\",\"width=700,height=500,scrollbars=yes,resizable=yes\")\'"],
	["Drivers &amp; Downloads","/support/printers/drivers-downloads.html"],
	["Contact Printer Support","/support/printers/contact.html"]
	);
	
	
	// Create Product rows for side nav.
	for ( idx = 0; idx < subNavNameLinkArray.length; idx++) {
		// Start Side Nav Row
		sideNavRows += "<tr><td width=\"12\" valign='top'>";
		
		// Set Side Nav Image
		if (idx == 0) {
			// First row of Side Nav
			sideNavRows += "<img src='/img/global_subnav_arrow_on.gif' width='10' height='19' alt='' border='0'></td>";
		}else if (idx == subNavNameLinkArray.length - 1){
			// Last row of Side Nav
			sideNavRows += "<img src='/img/global_subnav_endbar.gif' width='10' height='13' alt='' border='0'></td>";
		}else{
			//	Middle rows of Side Nav
			sideNavRows += "<img src='/img/global_subnav_midbar.gif' width='10' height='13' alt='' border='0'></td>";
		}
		
		// Check to see if active page
		if (activeSideNavRow == subNavNameLinkArray[idx][0]) {
			// Dont Make link hot
			// Set Side Nav Value and Link
			sideNavRows += "<td width=\"133\"><font face='Arial, Helvetica, Sans-serif' size='1'>" + subNavNameLinkArray[idx][0] + "</font>";
		}else{
			// Make it NOT hot and Bold,
			// only if this is not one of the subheadings of the Support section.
			if(subNavNameLinkArray[idx][1] == "") {
				sideNavRows += "<td><font face='Arial, Helvetica, Sans-serif' size='1'><b>" + subNavNameLinkArray[idx][0] + "</b></font>";
			} else {
			// Make the link hot
			if (nameOfSection == "support") {
				var strLinkHref = subNavNameLinkArray[idx][1];
				/**/
			} else if (nameOfSection == "support") {
				var strLinkHref = subNavNameLinkArray[idx][1] + "tech-info.html"; 
			}
			sideNavRows += "<td width=\"133\"><a href='" + strLinkHref + "'><font face='Arial, Helvetica, Sans-serif' size='1'>" + subNavNameLinkArray[idx][0] + "</font></a>";
			}
		}
		
		// Close Side Nav Row
		sideNavRows += "</td></tr>";
	}
	document.write(sideNavRows);
}



// This Creates the Side Bar Nav for all Tape Drive support pages
function CreateSideNavTD(activeSideNavRow, nameOfSection){
	sideNavRows = "";
	
	// Add Product Name and Link to Array
	subNavNameLinkArray = new Array(
	["Tape Drives","/support/tape-drives/"],
	["Technical Data","/support/tape-drives/technical-data.html"],
	["Drivers &amp; Downloads","/support/tape-drives/drivers-downloads.html"],
	["Contact Tape Drive Support","/support/tape-drives/contact.html"]
	);
	
	
	// Create Product rows for side nav.
	for ( idx = 0; idx < subNavNameLinkArray.length; idx++) {
		// Start Side Nav Row
		sideNavRows += "<tr><td width=\"12\" valign='top'>";
		
		// Set Side Nav Image
		if (idx == 0) {
			// First row of Side Nav
			sideNavRows += "<img src='/img/global_subnav_arrow_on.gif' width='10' height='19' alt='' border='0'></td>";
		}else if (idx == subNavNameLinkArray.length - 1){
			// Last row of Side Nav
			sideNavRows += "<img src='/img/global_subnav_endbar.gif' width='10' height='13' alt='' border='0'></td>";
		}else{
			//	Middle rows of Side Nav
			sideNavRows += "<img src='/img/global_subnav_midbar.gif' width='10' height='13' alt='' border='0'></td>";
		}
		
		// Check to see if active page
		if (activeSideNavRow == subNavNameLinkArray[idx][0]) {
			// Dont Make link hot
			// Set Side Nav Value and Link
			sideNavRows += "<td width=\"133\"><font face='Arial, Helvetica, Sans-serif' size='1'>" + subNavNameLinkArray[idx][0] + "</font>";
		}else{
			// Make it NOT hot and Bold,
			// only if this is not one of the subheadings of the Support section.
			if(subNavNameLinkArray[idx][1] == "") {
				sideNavRows += "<td><font face='Arial, Helvetica, Sans-serif' size='1'><b>" + subNavNameLinkArray[idx][0] + "</b></font>";
			} else {
			// Make the link hot
			if (nameOfSection == "support") {
				var strLinkHref = subNavNameLinkArray[idx][1];
				/**/
			} else if (nameOfSection == "support") {
				var strLinkHref = subNavNameLinkArray[idx][1] + "tech-info.html"; 
			}
			sideNavRows += "<td width=\"133\"><a href='" + strLinkHref + "'><font face='Arial, Helvetica, Sans-serif' size='1'>" + subNavNameLinkArray[idx][0] + "</font></a>";
			}
		}
		
		// Close Side Nav Row
		sideNavRows += "</td></tr>";
	}
	document.write(sideNavRows);
}